#!/bin/ksh
#set -x

PATCH_NAME="P510L-02D"

myid=$(id | cut -f 2 -d '(' | cut -f 1 -d ')')
if [[ ${myid} != "root" ]]; then
   print "You must be root to uninstall this patch."
   return 1
fi

if ( ps -ef | grep ibmdiradm | grep -v grep ) ; then
   print "ibmdiradm must be stopped before uninstalling this patch."
   return 1
fi

if ( ps -ef | grep ibmslapd | grep -v grep ) ; then
   print "ibmslapd must be stopped before uninstalling this patch."
   return 1
fi

PATCH_DIR=$(dirname ${0})
cd ${PATCH_DIR}
PATCH_DIR=$(pwd)

if [[ ! -a data/UNDO.tar.gz ]]; then
   print "data/UNDO.tar.gz cannot be found."
   print "The original files cannot be restored."
   return 1
fi

print "Uninstalling patch files ..."
cd /usr/ldap
( rm -rf bin/${PATCH_NAME}* 2>&1 ) >/dev/null
gzip -cd ${PATCH_DIR}/data/UNDO.tar.gz | tar xf -
if [[ $? -ne 0 ]]; then
   print "IBM Directory Server could not be restored to it's previous version"
   print "Please manually restore the backup files from ${PATCH_DIR}/data/UNDO.tar.gz"
else
   print "IBM Directory Server has been restored to it's previous version."
   print "You can restart ibmdiradm and ibmslapd."
fi

return 0
